import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class OrderSearchWidget extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Container(
      width: double.infinity,
      height: 40,
      padding: EdgeInsets.only(left: 12.5, right: 12.5, top: 4, bottom: 4),
      color: Colors.white,
      child: CupertinoTextField(
        textAlign: TextAlign.center,
        textInputAction: TextInputAction.search,
        padding: EdgeInsets.only(left: 12, right: 12),
        decoration: BoxDecoration(
            borderRadius: BorderRadius.circular(16), color: Color(0xfff9f9f9)),
        placeholder: '搜索商品标题/粉丝姓名/订单号',
        placeholderStyle: TextStyle(color: Color(0xff999999), fontSize: 14),
      ),
    );
  }
}
